org.keycloak.saml.processing.core.saml.v2.holders

## Class IDPInfoHolder

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v2.holders.IDPInfoHolder

-     public class IDPInfoHolder
      extends Object

  Holds essential information about an IDP for creating saml messages.
  Since:
    Dec 10, 2008
  Author:
    Anil.Saldhana@redhat.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDPInfoHolder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssertionType` | `getAssertion()`
    `int` | `getAssertionValidityDuration()`
    `String` | `getNameIDFormat()`
    `String` | `getNameIDFormatValue()`
    `String` | `getSubjectConfirmationMethod()`
    `void` | `setAssertion(AssertionType assertion)`
    `void` | `setAssertionValidityDuration(int assertionValidityDuration)`
    `void` | `setNameIDFormat(String nameIDFormat)`
    `void` | `setNameIDFormatValue(String nameIDFormatValue)`
    `void` | `setSubjectConfirmationMethod(String subjectConfirmationMethod)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IDPInfoHolder

          public IDPInfoHolder()

  - ### Method Detail

    - #### getAssertionValidityDuration

          public int getAssertionValidityDuration()

    - #### setAssertionValidityDuration

          public void setAssertionValidityDuration(int assertionValidityDuration)

    - #### getSubjectConfirmationMethod

          public String getSubjectConfirmationMethod()

    - #### setSubjectConfirmationMethod

          public void setSubjectConfirmationMethod(String subjectConfirmationMethod)

    - #### getNameIDFormat

          public String getNameIDFormat()

    - #### setNameIDFormat

          public void setNameIDFormat(String nameIDFormat)

    - #### getNameIDFormatValue

          public String getNameIDFormatValue()

    - #### setNameIDFormatValue

          public void setNameIDFormatValue(String nameIDFormatValue)

    - #### getAssertion

          public AssertionType getAssertion()

    - #### setAssertion

          public void setAssertion(AssertionType assertion)

Copyright © 2021 JBoss by Red Hat. All rights reserved.